<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.benson.common.system.mapper.RoleDao">

    <select id="getRoleByUser" resultType="com.benson.common.system.entity.Role">
        select sr.* from sys_role sr left join sys_user_role sur on sr.id=sur.role_id where user_id=#{userId}
    </select>
</mapper>
